Skip to main content
GET
Retrieve a supplier's users

Authorizations

X-API-Key
string
header
required
zivio-tenant-id
string
header
required

Path Parameters

id
string
required

Query Parameters

q
string

Query string. search in first_name, last_name and email

created
string

Date range [2020-01-01+TO+2020-01-30] to search based on created timestamp for object.

updated
string

Date range [2020-01-01+TO+2020-01-30] to search based on updated timestamp for object.

sort
string

Results are sorted by created desc as default. Ordering may be specified, available options are ['created', 'updated'], which can be combined in a comma separated list, e.g. updated:desc,created:asc

limit
integer

Number of results returned per request

page
integer

Paginate results when number of results exceeds limit

Response

ok

id
integer
Example:

"77"

first_name
string
Example:

"Dave"

last_name
string
Example:

"Smith"

email
string
Example:

"dave.smith@example.com"

supplier_name
string
Example:

"Supplier Inc"

supplier_id
integer
Example:

"14"

vetting_status
string
Example:

"PASSED"

role
string
Example:

"Owner"

created_at
string<date-time>
updated_at
string<date-time>
custom_fields
object